import React, { PropsWithChildren } from "react"

import { CardGridProps } from "./cardGrid"
import { cardGridVariants } from "./variants"

export default function CardGrid({
  children,
  isMobileCarousel = false,
  className,
  variant,
}: PropsWithChildren<CardGridProps>) {
  return (
    <section
      className={cardGridVariants({
        className,
        variant,
        isMobileCarousel,
      })}
    >
      {children}
    </section>
  )
}
